BlackCatCMS v1.4 Beta

Support zu BlackCat CMS allgemein
Benutzeravatar
shadowcat
Administrator
Beiträge: 4670
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von shadowcat »

Puh, dann sind wir einem Release ja ganz nahe. :daumen:
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache
DG70
Beiträge: 170
Registriert: Fr 5. Dez 2014, 12:59

Re: BlackCatCMS v1.4 Beta

Beitrag von DG70 »

shadowcat hat geschrieben:
Mo 18. Okt 2021, 09:07
Puh, dann sind wir einem Release ja ganz nahe. :daumen:
Ja das sieht schon gut aus. Wollte die Woche noch ein wenig weiter testen und Anfang nächste Bescheid geben.

Wie sieht es hiermit aus? Ist sicher kein "Show-Stopper" allerdings habe ich jetzt nur mit der 8er getestet.
DG70 hat geschrieben:
Di 7. Sep 2021, 18:47
Bei der Versionsprüfung wird noch die PHP 7.3.1 erwartet:
Benutzeravatar
shadowcat
Administrator
Beiträge: 4670
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von shadowcat »

Naja, theoretisch sollte es ja auch noch mit 7.x laufen.
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache
Benutzeravatar
creativecat
Beiträge: 1134
Registriert: Mi 6. Feb 2013, 12:41
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von creativecat »

Bis auf Kleinigkeiten ja. Im Laufe der Woche komme ich endlich wieder zu BlackCat... Ich mag meinen Job grad nimmer :-P Es ist einfach der Wahnsinn!
DG70
Beiträge: 170
Registriert: Fr 5. Dez 2014, 12:59

Re: BlackCatCMS v1.4 Beta

Beitrag von DG70 »

Hast du die aktuelle Version auf Github?
creativecat hat geschrieben:
Mo 18. Okt 2021, 14:39
Bis auf Kleinigkeiten ja. Im Laufe der Woche komme ich endlich wieder zu BlackCat... Ich mag meinen Job grad nimmer :-P Es ist einfach der Wahnsinn!
DG70
Beiträge: 170
Registriert: Fr 5. Dez 2014, 12:59

Re: BlackCatCMS v1.4 Beta

Beitrag von DG70 »

shadowcat hat geschrieben:
Mo 18. Okt 2021, 11:50
Naja, theoretisch sollte es ja auch noch mit 7.x laufen.
Gerade mit einer 7.3.21 probiert ... und dann kommt das hier:

Inst-Pre-Check.png
Inst-Pre-Check.png (33.85 KiB) 206 mal betrachtet

Mit einer 7.4.14 klappt es ... ;)
Zuletzt geändert von DG70 am Mo 18. Okt 2021, 18:14, insgesamt 1-mal geändert.
Benutzeravatar
creativecat
Beiträge: 1134
Registriert: Mi 6. Feb 2013, 12:41
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von creativecat »

DG70 hat geschrieben:
Mo 18. Okt 2021, 14:54
Hast du die aktuelle Version auf Github?
creativecat hat geschrieben:
Mo 18. Okt 2021, 14:39
Bis auf Kleinigkeiten ja. Im Laufe der Woche komme ich endlich wieder zu BlackCat... Ich mag meinen Job grad nimmer :-P Es ist einfach der Wahnsinn!
Nein :-(
Benutzeravatar
creativecat
Beiträge: 1134
Registriert: Mi 6. Feb 2013, 12:41
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von creativecat »

So, ich arbeite gerade an der Version für PHP8. Jetzt ist mir aufgefallen, dass Dwoo scheinbar keine Variablen mehr mag. Also sowas wir

Code: Alles auswählen

{$i=0} 
... da bekomme ich jedesmal ein

Code: Alles auswählen

syntax error, unexpected token "="
Kann das jemand bestätigen? Dann wird das mit Dwoo tatsächlich schwierig unter PHP8 :-/
Sooo. Ich kann das Problem so doch nicht ganz nachvollziehen. Es liegt irgendwo an meiner Umgebung - vielleicht. Einmal klappte es unter PHP 8.0.8 und einmal nicht... aber für die 1.4 vermutlich an dieser Front Entwarnung - wobei es inzwischen bei mir bei mehreren umgestellten Installationen auftritt. Wurde irgendwas an Dwoo verändert? Und mittelfristig müssen wir das echt tauschen.
Vielleicht kann es doch mal jemand testen. Einfach eine Variable in einem Template definieren: {i=0}... bei mir führt das mit E_ALL&E_STRICT auf jeden Fall zu Fehlern :-(

Die update.php bleibt sowieso als Problem. Ich bin dran...
Benutzeravatar
shadowcat
Administrator
Beiträge: 4670
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von shadowcat »

Ich habe im Dwoo einen quick&dirty PHP8 Fix eingebaut, der leider Seiteneffekte hat. Ich habe so gut wie nirgends Variablenzuweisungen in den Templates, daher habe ich an dieser Stelle auch keine Probleme in meiner BC-Instanz.
Die Version aus BC2 ist PHP8 tauglich, aber ein Austausch könnte wiederum andere Seiteneffekte haben. Ich weiß nicht, ob wir da alle eigenen Plugins wieder drin haben und ob die alle noch gleich heißen.
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache
Benutzeravatar
creativecat
Beiträge: 1134
Registriert: Mi 6. Feb 2013, 12:41
Kontaktdaten:

Re: BlackCatCMS v1.4 Beta

Beitrag von creativecat »

Ok, ich bekomm das bei mir soweit schon hin. catGallery ist inzwischen fertig dafür (siehe Forum).

Andere Frage, die mir gerade aufgefallen ist: Wenn ich ein Modul lösche, werden die Einträge in der class_secure-Tabelle nicht gelöscht. Da fehlt meiner Meinung nach ein "ON DELETE CASCADE" - dann würde das automatisch klappen ;-) Ist das bewusst genau so, oder darf ich das in die install und update noch einbauen?
Antworten